// comp-device-item.ts 更新
import { CommonModule, DatePipe } from '@angular/common';
import { Component, Input, Output, EventEmitter } from '@angular/core';
import { RouterModule } from '@angular/router';

@Component({
  standalone: true,
  selector: 'app-comp-device-item',
  imports: [CommonModule, RouterModule, DatePipe],
  templateUrl: './comp-device-item.html',
  styleUrl: './comp-device-item.scss'
})
export class CompDeviceItem {
  @Input() device: any;
  @Input() type: string = "list";
  @Output() edit = new EventEmitter<any>();
  @Output() delete = new EventEmitter<any>();

  getStatusClass(status: string) {
    switch (status) {
      case '运行中': return 'running';
      case '待机': return 'idle';
      case '维护中': return 'maintenance';
      case '已停止': return 'stopped';
      default: return '';
    }
  }
}