// factory-overview.component.ts
import { DatePipe } from '@angular/common';
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
  standalone: true,
  selector: 'app-factory-overview',
  styleUrls: ['./factory-overview.css'],
  templateUrl: './factory-overview.component.html',
  encapsulation: ViewEncapsulation.None,
  imports: [DatePipe]
})
export class FactoryOverviewComponent {
  currentTime: Date = new Date();
  hoverIndex: number = -1;

  constructor() {
    // 更新时间，每秒更新一次
    setInterval(() => {
      this.currentTime = new Date();
    }, 1000);
  }

  // 修复：添加 cardHover 方法
  cardHover(index: number) {
    this.hoverIndex = index;
  }

  // 添加刷新数据方法
  refreshData() {
    // 这里可以添加实际的数据刷新逻辑
    console.log('刷新数据...');
    this.currentTime = new Date();
  }
}
